<template>
	<view>
		<cu-custom bgColor="bg-gradual-blueness" :isBack="true" :isRingt="true">
			<block slot="backText">返回</block>
			<block slot="content">设备巡检记录</block>
		</cu-custom>
		<view class="top-fixed">
			<scroll-view scroll-x class="bg-white nav" scroll-with-animation :scroll-left="scrollLeft">
				<view class="flex text-center">
					<view class="cu-item flex-sub" :class="index==TabCur?'text-blue cur':''" v-for="(item,index) in tabNav" :key="index" @tap="tabSelect" :data-id="index">
						{{tabNav[index]}}
					</view>
				</view>
			</scroll-view>
			<view class="line"></view>
		</view>

		<block v-if="TabCur==0">

			<scroll-view class="dy-scroll-nobg"  scroll-y :style="'top:'+sTop+'px;height:calc(100vh - '+totalHeight+'px)'">
				<view v-if="list.length>0" >
					<view class="dy-card" v-for="item in list" :key="item.SPECIALEQUIPMENTAQXJ_ID" @click="$noMultipleClicks(gotoInfo,item.SPECIALEQUIPMENTAQXJ_ID)">
						<view class="dy-card-content">
							<view class="dy-sub-stitle">
								<text class="text-grey">人员：{{item.INSPECTOR}}</text>
							</view>
							<view class="dy-sub-stitle">
								<text class="text-grey">检查周期：{{item.PERIOD_START_DATE}}-{{item.PERIOD_END_DATE}}</text>
							</view>
							<view class="dy-sub-stitle">
								<text class="text-grey">检查时间：{{item.INSPECTIONTIME}}</text>
							</view>
							<view class="dy-sub-stitle">
								<text class="text-grey">是否启动应急预案：{{item.ISEMERGENCY == '0'? "否":"是" }}</text>
								<text class="text-grey">是否故障：{{item.ISFAULT}}</text>
							</view>
						</view>
					</view>
				</view>
				<view v-else-if="dataFlag=='noData'" class="dy-null">
					<view class="dy-null-img">
						<image :src="background[dataFlag].url" mode=""></image>
					</view>
					<view class="dy-null-title">
						{{background[dataFlag].msg}}
					</view>
				</view>
			<!-- <view class="cu-tabbar-height"></view> -->
			</scroll-view>
		</block>

		<block v-if="TabCur==1">
			<scroll-view class="dy-scroll-nobg" scroll-y :style="'top:'+sTop+'px;height:calc(100vh - '+totalHeight+'px)'">
				<view v-if="list.length>0" >
					<view class="dy-card" v-for="item in list" :key="item.CHECKRECORD_ID" >
						<view class="dy-card-content">
							<view class="dy-sub-stitle">
								<text class="text-grey">检查周期：{{item.PERIOD_START_DATE}}-{{item.PERIOD_END_DATE}}</text>
							</view>
						</view>
					</view>
				</view>
				<view v-else-if="dataFlag=='noData'" class="dy-null">
					<view class="dy-null-img">
						<image :src="background[dataFlag].url" mode=""></image>
					</view>
					<view class="dy-null-title">
						{{background[dataFlag].msg}}
					</view>
				</view>
				<view class="cu-tabbar-height"></view>
			</scroll-view>
		</block>
	</view>
</template>

<script>
	import {
		basePath,loginUser,loginSession
	} from '@/common/tool.js';
	export default {
		data() {
			return {
				noClick:true,
				initflag:false,
				sTop:0,
				totalHeight:0,
				TabCur: 0,
				scrollLeft: 0,
				tabNav: ['已检查记录', '超期未检查记录'],
				list: [],
				page: 1,
				rows: 1000,
				totalCount:0,
				isEnd: false,
				total:0,
				dataFlag:'noData',
				isIndex:0,
				loginUserId:'',
				SPECIALEQUIPMENT_ID:'',
				ls:'',
			}
		},
		onLoad: function(e) {
			let that = this;
			this.loginUserId = loginUser.USER_ID;
			this.SPECIALEQUIPMENT_ID=e.SPECIALEQUIPMENT_ID;
			this.getData();
			this.background = require('@/common/background.json');
			loginSession();
		},
		onReady() {
			let that=this;
			let CustomBar = this.CustomBar;
			uni.getSystemInfo({ //调用uni-app接口获取屏幕高度
				success(res) { //成功回调函数
					let titleH=uni.createSelectorQuery().select(".top-fixed"); //想要获取高度的元素名（class/id）
					titleH.boundingClientRect(data=>{
						that._data.sTop=data.height  //计算高度：元素高度=窗口高度-元素距离顶部的距离（data.top）
						that.totalHeight = data.height+CustomBar
					}).exec()
				}
			})
		},
		onShow() {
			var _this = this;
			if(_this.initflag){
				_this.initflag = false;
				_this.list = [];
				this.getData()
			}
		},
		methods: {
			tabSelect(e) {
				this.TabCur = e.currentTarget.dataset.id;
				this.scrollLeft = (e.currentTarget.dataset.id - 1) * 60
				this.list = [];
				this.getData()
			},
			getData(){
				var _this=this;
				console.info(_this.isEnd);
				if (_this.isEnd){
					return
				}
				uni.showLoading({
					title: '加载中'
				})

					console.info(loginUser);
				uni.request({

					url: basePath + '/app/specialequipmentaqxj/listByEquipment',
					method: 'POST',
					dataType: 'json',
					header: {
						'Content-type':'application/x-www-form-urlencoded'
					},
					data: {
						SPECIALEQUIPMENT_ID:_this.SPECIALEQUIPMENT_ID,
						IS_CHECKED:_this.TabCur,
            CORPINFO_ID:loginUser.CORPINFO_ID,
            USER_ID:loginUser.USER_ID,
					},
					success: (res) => {
						if("success" == res.data.result){
							uni.hideLoading();
							var content = res.data.varList;
							for(var i=0;i<content.length;i++){
								content[i].PERIOD_START_DATE = content[i].PERIOD_START_DATE.substring(0,content[i].PERIOD_START_DATE.length-3)
								content[i].PERIOD_END_DATE = content[i].PERIOD_END_DATE.substring(0,content[i].PERIOD_END_DATE.length-3)
								this.list.push(content[i]);
							}
						}else{
							uni.showToast({
								icon:'none',
								title: '系统异常',
								duration: 2000
							});
						}
					}
				})
			},

			// 滑动到底方法
			scrolltolower(){
				var _this = this;
				_this.getData();
			},
			//跳转事件
			gotoInfo(e) {
				uni.navigateTo({
					url: '/pages/application/speEquip/info?SPECIALEQUIPMENTAQXJ_ID='+e
				});
			}

		}
	}
</script>

<style>
	.dy-list {
		background: #fff;
		margin-top: 2upx;
	}
	.dy-card{
		background-color: #fff;
		border-radius: 10upx;
		margin:30upx
	}
	.dy-stitle{
		margin: 16upx 0;
	}
	.dy-sub-stitle{
		margin: 16upx 0;
		display: flex;
		justify-content: space-between;
	}
	.dy-card-title{
		display: flex;
		justify-content: space-between;
		border-bottom: 1px solid #eee;
		min-height: 80upx;
		line-height: 80upx;
		padding: 0 30upx;
	}
	.dy-card-content{
		padding: 30upx 30upx 30upx;

	}
</style>
